"use strict";
cc._RF.push(module, 'e43ccw+ltpJ2r03+rR3AKHw', 'testJs');
// resources/script/testJs.js

"use strict";

var pako = require('pako');

cc.Class({
  "extends": cc.Component,
  properties: {},
  // LIFE-CYCLE CALLBACKS:
  // onLoad () {},
  start: function start() {},
  callback: function callback() {
    cc.resources.load('test', function (err, resdata) {
      if (err) return console.error('err');
      console.log('resdata', resdata);
      console.log('pako', pako);
      var data = resdata['_$nativeAsset'];
      var jsonObj = JSON.parse(pako.inflate(data, {
        to: 'string'
      }));
      console.log('jsonObj', jsonObj);
    });
  } // update (dt) {},

});

cc._RF.pop();